Windows7 installation error 54

Hi guys!
After a fresh install of win7 ultimate 32-bit i tried to install the brave browser as i was using 1.15.76 before but i keep getting installation failed error 54?
So i looked up some older versions and tried again but got the exact same error number again after the download and installation?

The older version i picked was from may 2020 as id also used an older version on another fresh install before the 1.15.76 version i was using last time.

Any ideas where the error 54 comes from and what causes it?
Im guessing the latest version of brave does not work on win7 ultimate 32-bit & because that failed it also caused the older version i downloaded and tried to install too fail aswell?

Thanks in advance for any suggestions!

Hello.

Any text in the error message?
Something like “The Windows Installer Service could not be started/accessed/whatever”?
Or could it be a permission error, e.g. the windows user has no permission to install?


Otherwise, if that is ruled out, can you please try the following:

  • If you absolutely need to keep using the old version, stop here and don’t do what I say.
  • If you have BATs you don’t want to risk flying away, stop here and don’t do what I say.

  • Make a copy of the Brave profile folder
    (it’s somewhere in Application Data, not sure where exactly but I can look it up if you need)
  • Download the current release for Windows 32bit.
  • Try to install it.
  • If it works, good.
  • If it still errors out, post either screenshot or exact text of the message.
  • If you manage to, try identify which process errors out
    (I guess it should be something like MSI, Microsoft Installer, Windows Installer Service)

As far as I know, Brave supports Windows 7 32bit.
It shouldn’t be necessary to use an old version, and it’s generally inadvisable.
The system requirements page says:

Windows

  • Windows 7, Windows 8, Windows 8.1, Windows 10 or later
  • An Intel Pentium 4 processor or later that’s SSE2 capable

If those requirements are met, it should work.

edit … notices it’s 3 months old … oh well.